import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../../../ui/styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spaces = _ref$cleverUI.spaces,
      colors = _ref$cleverUI.colors,
      shadows = _ref$cleverUI.shadows,
      typography = _ref$cleverUI.typography,
      breakpoints = _ref$cleverUI.breakpoints;
  return {
    imageContainer: {
      padding: 0,
      border: 0,
      lineHeight: 0,
      height: "fit-content",
      borderRadius: "6px",
      flexShrink: 0,
      position: "relative",
      "&[data-selected=true]": {
        outline: "3px solid ".concat(colors.blue[500])
      }
    },
    landscapeContainer: {
      aspectRatio: "2",
      width: "100%",
      padding: "2px",
      overflow: "hidden",
      position: "relative",
      flexShrink: "0",
      gridColumn: "span 2"
    },
    containerHover: {
      "&:hover": {
        scale: 1.3,
        "& > div": {
          scale: 0.7,
          display: "flex"
        }
      }
    },
    image: function image(_ref2) {
      var landscape = _ref2.landscape,
          minWidth = _ref2.minWidth;
      return {
        aspectRatio: "".concat(landscape ? "16 / 9" : "1 / 1"),
        width: minWidth,
        objectFit: "cover",
        borderRadius: "6px"
      };
    },
    imageSelectedBadge: {
      position: "absolute",
      top: spaces.md,
      right: spaces.md,
      zIndex: 0
    },
    loadingContainer: function loadingContainer(_ref3) {
      var landscape = _ref3.landscape,
          minWidth = _ref3.minWidth;
      return {
        aspectRatio: "".concat(landscape ? "16 / 9" : "1 / 1"),
        width: minWidth,
        borderRadius: "6px",
        transform: "none !important"
      };
    },
    syncContainer: {
      position: "absolute",
      top: "-40px",
      zIndex: "1",
      borderRadius: spaces.lg,
      maxWidth: "max-content",
      padding: "".concat(spaces.sm, " ").concat(spaces.md),
      backgroundColor: colors.neutral[100],
      border: "1px solid ".concat(colors.neutral[300]),
      boxShadow: shadows.normal
    },
    aiGenerating: {
      verticalAlign: "top"
    },
    loadingIcon: {
      flexShrink: 0
    },
    relative: {
      position: "relative"
    },
    headerButtons: {
      position: "absolute",
      top: 0,
      left: "-".concat(spaces.sm),
      boxSizing: "border-box",
      width: "100%",
      display: "none",
      gap: spaces.sm,
      justifyContent: "space-between"
    },
    removeButton: _objectSpread(_objectSpread({
      padding: "".concat(spaces.xs, " ").concat(spaces.sm),
      background: colors.danger[50],
      border: "2px solid ".concat(colors.danger[500]),
      borderRadius: "32px",
      cursor: "pointer"
    }, typography.variants.small), {}, _defineProperty({
      color: colors.danger[500]
    }, breakpoints.up("lg"), {
      fontSize: "12px"
    })),
    AIButton: _objectSpread(_objectSpread({
      padding: "".concat(spaces.xs, " ").concat(spaces.sm),
      background: colors.primary[50],
      borderRadius: "32px"
    }, typography.variants.small), {}, _defineProperty({
      color: colors.primary[500],
      fontWeight: 600
    }, breakpoints.up("lg"), {
      fontSize: "12px"
    }))
  };
});
export default getClasses;